Views

Update a view

Rename, describe or refilter a view. `filter` replaces the whole filter.

PATCH
/v1/views/{id}
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

Path Parameters

idstring

View id (vw_...).

Length1 <= length
name?string
Length1 <= length <= 80
description?string
Lengthlength <= 500
filter?

Replaces the whole filter.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.mentio.dev/v1/views/vw_abc123" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "filter": {
    "q": "string",
    "keywordIds": [
      "string"
    ],
    "notKeywordIds": [
      "string"
    ],
    "keywordKinds": [
      "brand"
    ],
    "groupIds": [
      "string"
    ],
    "notGroupIds": [
      "string"
    ],
    "platforms": [
      "bluesky"
    ],
    "notPlatforms": [
      "bluesky"
    ],
    "status": "open",
    "relevant": true,
    "minRelevance": 100,
    "minConfidence": 1,
    "sentiments": [
      "positive"
    ],
    "notSentiments": [
      "positive"
    ],
    "intents": [
      "string"
    ],
    "notIntents": [
      "string"
    ],
    "automated": true,
    "languages": [
      "string"
    ],
    "notLanguages": [
      "string"
    ],
    "countries": [
      "us"
    ],
    "notCountries": [
      "us"
    ],
    "organization": true,
    "tags": [
      "string"
    ],
    "notTags": [
      "string"
    ],
    "linkHosts": [
      "string"
    ],
    "notLinkHosts": [
      "string"
    ],
    "subreddits": [
      "string"
    ],
    "notSubreddits": [
      "string"
    ],
    "minFollowers": 0,
    "maxFollowers": 0,
    "isReply": true,
    "kind": "post",
    "excludeAuthors": [
      "string"
    ],
    "ratings": [
      1
    ],
    "notRatings": [
      1
    ],
    "minLikes": 0,
    "minReposts": 0,
    "minReplies": 0,
    "minQuotes": 0,
    "minViews": 0,
    "minBookmarks": 0,
    "anyOf": [
      {
        "q": "string",
        "keywordIds": [
          "string"
        ],
        "notKeywordIds": [
          "string"
        ],
        "keywordKinds": [
          "brand"
        ],
        "groupIds": [
          "string"
        ],
        "notGroupIds": [
          "string"
        ],
        "platforms": [
          "bluesky"
        ],
        "notPlatforms": [
          "bluesky"
        ],
        "status": "open",
        "relevant": true,
        "minRelevance": 100,
        "minConfidence": 1,
        "sentiments": [
          "positive"
        ],
        "notSentiments": [
          "positive"
        ],
        "intents": [
          "string"
        ],
        "notIntents": [
          "string"
        ],
        "automated": true,
        "languages": [
          "string"
        ],
        "notLanguages": [
          "string"
        ],
        "countries": [
          "us"
        ],
        "notCountries": [
          "us"
        ],
        "organization": true,
        "tags": [
          "string"
        ],
        "notTags": [
          "string"
        ],
        "linkHosts": [
          "string"
        ],
        "notLinkHosts": [
          "string"
        ],
        "subreddits": [
          "string"
        ],
        "notSubreddits": [
          "string"
        ],
        "minFollowers": 0,
        "maxFollowers": 0,
        "isReply": true,
        "kind": "post",
        "excludeAuthors": [
          "string"
        ],
        "ratings": [
          1
        ],
        "notRatings": [
          1
        ],
        "minLikes": 0,
        "minReposts": 0,
        "minReplies": 0,
        "minQuotes": 0,
        "minViews": 0,
        "minBookmarks": 0
      }
    ]
  },
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}